Subject: Re: Cannot generate key pair with GnuPG

From: Raghav Gururajan <[email-masked]>
Date: Wed, 24 Jul 2019 20:58:30 -0400

Hello Guix!

After brief discussion on IRC channel, I found out that adding
"pinentry-program /home/user/.guix-profile/bin/pinentry-program" to
"gpg-agent.conf" in "/home/user/.gnupg", was able to temproarily
resolve the situation. Thanks to Ricardo (rekado).

I still suggest that there should be a default/fallback option for
this. After reviewing guix repository, I found pinentry, emacs-
pinentry, pinentry-tty, pinentry-qt, pinentry-gtk2, pinentry-gnome3,
pinentry-emacs and pinentry-efl, as available pinentry programs.

Out of all, I suggest pinentry to be set as default/fallback option for
gnupg in guix, as it is platform-independent and provides both CUI
(console) and GUI.

Thank you!

Regards,
RG.